The Budget object

Attributes

id string

Unique identifier for the object.

created_at string

ISO 8601 timestamp of when the object was created.

updated_at string

ISO 8601 timestamp of when the object was last updated.

status string

Default: draft

budget_against string

Default: Cost Center

company string required
cost_center string
project string
applicable_on_material_request boolean

Default: false

action_if_annual_budget_exceeded_on_mr string

Default: Stop

action_if_accumulated_monthly_budget_exceeded_on_mr string

Default: Warn

applicable_on_purchase_order boolean

Default: false

action_if_annual_budget_exceeded_on_po string

Default: Stop

action_if_accumulated_monthly_budget_exceeded_on_po string

Default: Warn

applicable_on_booking_actual_expenses boolean

Default: false

action_if_annual_budget_exceeded string

Default: Stop

action_if_accumulated_monthly_budget_exceeded string

Default: Warn

applicable_on_cumulative_expense boolean

Default: false

action_if_annual_exceeded_on_cumulative_expense string
action_if_accumulated_monthly_exceeded_on_cumulative_expense string
account string required
budget_amount number required
revision_of string
distribute_equally boolean

Default: true

from_fiscal_year string required
to_fiscal_year string required
budget_start_date string
budget_end_date string
distribution_frequency string

Default: Monthly

budget_distribution_total number
The Budget object
{
  "id": "budget_abc123",
  "created_at": "2024-01-15T09: 30: 00Z",
  "updated_at": "2024-01-15T09: 30: 00Z",
  "status": "draft",
  "budget_against": "Cost Center",
  "company": "Example Corp",
  "cost_center": "cost_center_example",
  "project": "project_example",
  "applicable_on_material_request": false,
  "action_if_annual_budget_exceeded_on_mr": "Stop",
  "action_if_accumulated_monthly_budget_exceeded_on_mr": "Warn",
  "applicable_on_purchase_order": false,
  "action_if_annual_budget_exceeded_on_po": "Stop",
  "action_if_accumulated_monthly_budget_exceeded_on_po": "Warn",
  "applicable_on_booking_actual_expenses": false,
  "action_if_annual_budget_exceeded": "Stop",
  "action_if_accumulated_monthly_budget_exceeded": "Warn",
  "applicable_on_cumulative_expense": false,
  "action_if_annual_exceeded_on_cumulative_expense": "action_if_annual_exceeded_on_cumulative_expense_example",
  "action_if_accumulated_monthly_exceeded_on_cumulative_expense": "action_if_accumulated_monthly_exceeded_on_cumulative_expense_example",
  "account": "account_example",
  "budget_amount": 0,
  "revision_of": "revision_of_example",
  "distribute_equally": true,
  "from_fiscal_year": "from_fiscal_year_example",
  "to_fiscal_year": "to_fiscal_year_example",
  "budget_start_date": "2024-01-15",
  "budget_end_date": "2024-01-15",
  "distribution_frequency": "Monthly",
  "budget_distribution_total": 0
}
GET /api/accounts/budget/{id}

Retrieve a budget

Retrieves the details of an existing budget. Supply the unique budget ID that was returned from a previous request.

Path parameters

id string required

The identifier of the budget to retrieve.

Returns

Returns the budget object if a valid identifier was provided.

GET /api/accounts/budget/{id}
curl https://api.overplane.dev/api/accounts/budget/budget_abc123 \
  -H "Authorization: Bearer sk_test_..."
Response
{
  "id": "budget_abc123",
  "created_at": "2024-01-15T09: 30: 00Z",
  "updated_at": "2024-01-15T09: 30: 00Z",
  "status": "draft",
  "budget_against": "Cost Center",
  "company": "Example Corp",
  "cost_center": "cost_center_example",
  "project": "project_example",
  "applicable_on_material_request": false,
  "action_if_annual_budget_exceeded_on_mr": "Stop",
  "action_if_accumulated_monthly_budget_exceeded_on_mr": "Warn",
  "applicable_on_purchase_order": false,
  "action_if_annual_budget_exceeded_on_po": "Stop",
  "action_if_accumulated_monthly_budget_exceeded_on_po": "Warn",
  "applicable_on_booking_actual_expenses": false,
  "action_if_annual_budget_exceeded": "Stop",
  "action_if_accumulated_monthly_budget_exceeded": "Warn",
  "applicable_on_cumulative_expense": false,
  "action_if_annual_exceeded_on_cumulative_expense": "action_if_annual_exceeded_on_cumulative_expense_example",
  "action_if_accumulated_monthly_exceeded_on_cumulative_expense": "action_if_accumulated_monthly_exceeded_on_cumulative_expense_example",
  "account": "account_example",
  "budget_amount": 0,
  "revision_of": "revision_of_example",
  "distribute_equally": true,
  "from_fiscal_year": "from_fiscal_year_example",
  "to_fiscal_year": "to_fiscal_year_example",
  "budget_start_date": "2024-01-15",
  "budget_end_date": "2024-01-15",
  "distribution_frequency": "Monthly",
  "budget_distribution_total": 0
}
GET /api/accounts/budget

List all budgets

Returns a list of budgets. The results are sorted by creation date, with the most recently created appearing first.

Query parameters

limit integer

Maximum number of objects to return. Default: 20.

offset integer

Number of objects to skip for pagination. Default: 0.

Returns

A paginated list of budget objects.

GET /api/accounts/budget
curl https://api.overplane.dev/api/accounts/budget \
  -H "Authorization: Bearer sk_test_..."
Response
{
  "data": [
    {
      "id": "budget_abc123",
      "created_at": "2024-01-15T09: 30: 00Z",
      "updated_at": "2024-01-15T09: 30: 00Z",
      "status": "draft",
      "budget_against": "Cost Center",
      "company": "Example Corp",
      "cost_center": "cost_center_example",
      "project": "project_example",
      "applicable_on_material_request": false,
      "action_if_annual_budget_exceeded_on_mr": "Stop",
      "action_if_accumulated_monthly_budget_exceeded_on_mr": "Warn",
      "applicable_on_purchase_order": false,
      "action_if_annual_budget_exceeded_on_po": "Stop",
      "action_if_accumulated_monthly_budget_exceeded_on_po": "Warn",
      "applicable_on_booking_actual_expenses": false,
      "action_if_annual_budget_exceeded": "Stop",
      "action_if_accumulated_monthly_budget_exceeded": "Warn",
      "applicable_on_cumulative_expense": false,
      "action_if_annual_exceeded_on_cumulative_expense": "action_if_annual_exceeded_on_cumulative_expense_example",
      "action_if_accumulated_monthly_exceeded_on_cumulative_expense": "action_if_accumulated_monthly_exceeded_on_cumulative_expense_example",
      "account": "account_example",
      "budget_amount": 0,
      "revision_of": "revision_of_example",
      "distribute_equally": true,
      "from_fiscal_year": "from_fiscal_year_example",
      "to_fiscal_year": "to_fiscal_year_example",
      "budget_start_date": "2024-01-15",
      "budget_end_date": "2024-01-15",
      "distribution_frequency": "Monthly",
      "budget_distribution_total": 0
    }
  ],
  "has_more": false,
  "total": 1
}
POST /api/accounts/budget

Create a budget

Creates a new budget object.

Body parameters

status string

Default: draft

budget_against string

Default: Cost Center

company string required
cost_center string
project string
applicable_on_material_request boolean

Default: false

action_if_annual_budget_exceeded_on_mr string

Default: Stop

action_if_accumulated_monthly_budget_exceeded_on_mr string

Default: Warn

applicable_on_purchase_order boolean

Default: false

action_if_annual_budget_exceeded_on_po string

Default: Stop

action_if_accumulated_monthly_budget_exceeded_on_po string

Default: Warn

applicable_on_booking_actual_expenses boolean

Default: false

action_if_annual_budget_exceeded string

Default: Stop

action_if_accumulated_monthly_budget_exceeded string

Default: Warn

applicable_on_cumulative_expense boolean

Default: false

action_if_annual_exceeded_on_cumulative_expense string
action_if_accumulated_monthly_exceeded_on_cumulative_expense string
account string required
budget_amount number required
revision_of string
distribute_equally boolean

Default: true

from_fiscal_year string required
to_fiscal_year string required
budget_start_date string
budget_end_date string
distribution_frequency string

Default: Monthly

budget_distribution_total number

Returns

Returns the newly created budget object if the call succeeded.

POST /api/accounts/budget
curl https://api.overplane.dev/api/accounts/budget \
  -H "Authorization: Bearer sk_test_..." \
  -X POST \
  -H "Content-Type: application/json" \
  -d '{"company":"Example Corp","account":"account_example","budget_amount":0,"from_fiscal_year":"from_fiscal_year_example","to_fiscal_year":"to_fiscal_year_example"}'
Response
{
  "id": "budget_abc123",
  "created_at": "2024-01-15T09: 30: 00Z",
  "updated_at": "2024-01-15T09: 30: 00Z",
  "status": "draft",
  "budget_against": "Cost Center",
  "company": "Example Corp",
  "cost_center": "cost_center_example",
  "project": "project_example",
  "applicable_on_material_request": false,
  "action_if_annual_budget_exceeded_on_mr": "Stop",
  "action_if_accumulated_monthly_budget_exceeded_on_mr": "Warn",
  "applicable_on_purchase_order": false,
  "action_if_annual_budget_exceeded_on_po": "Stop",
  "action_if_accumulated_monthly_budget_exceeded_on_po": "Warn",
  "applicable_on_booking_actual_expenses": false,
  "action_if_annual_budget_exceeded": "Stop",
  "action_if_accumulated_monthly_budget_exceeded": "Warn",
  "applicable_on_cumulative_expense": false,
  "action_if_annual_exceeded_on_cumulative_expense": "action_if_annual_exceeded_on_cumulative_expense_example",
  "action_if_accumulated_monthly_exceeded_on_cumulative_expense": "action_if_accumulated_monthly_exceeded_on_cumulative_expense_example",
  "account": "account_example",
  "budget_amount": 0,
  "revision_of": "revision_of_example",
  "distribute_equally": true,
  "from_fiscal_year": "from_fiscal_year_example",
  "to_fiscal_year": "to_fiscal_year_example",
  "budget_start_date": "2024-01-15",
  "budget_end_date": "2024-01-15",
  "distribution_frequency": "Monthly",
  "budget_distribution_total": 0
}
PATCH /api/accounts/budget/{id}

Update a budget

Updates the specified budget by setting the values of the parameters passed. Any parameters not provided will be left unchanged.

Path parameters

id string required

The identifier of the budget to update.

Body parameters

status string

Default: draft

budget_against string

Default: Cost Center

company string
cost_center string
project string
applicable_on_material_request boolean

Default: false

action_if_annual_budget_exceeded_on_mr string

Default: Stop

action_if_accumulated_monthly_budget_exceeded_on_mr string

Default: Warn

applicable_on_purchase_order boolean

Default: false

action_if_annual_budget_exceeded_on_po string

Default: Stop

action_if_accumulated_monthly_budget_exceeded_on_po string

Default: Warn

applicable_on_booking_actual_expenses boolean

Default: false

action_if_annual_budget_exceeded string

Default: Stop

action_if_accumulated_monthly_budget_exceeded string

Default: Warn

applicable_on_cumulative_expense boolean

Default: false

action_if_annual_exceeded_on_cumulative_expense string
action_if_accumulated_monthly_exceeded_on_cumulative_expense string
account string
budget_amount number
revision_of string
distribute_equally boolean

Default: true

from_fiscal_year string
to_fiscal_year string
budget_start_date string
budget_end_date string
distribution_frequency string

Default: Monthly

budget_distribution_total number

Returns

Returns the updated budget object.

PATCH /api/accounts/budget/{id}
curl https://api.overplane.dev/api/accounts/budget/budget_abc123 \
  -H "Authorization: Bearer sk_test_..." \
  -X PATCH \
  -H "Content-Type: application/json" \
  -d '{"status":"draft","budget_against":"Cost Center"}'
Response
{
  "id": "budget_abc123",
  "created_at": "2024-01-15T09: 30: 00Z",
  "updated_at": "2024-01-15T09: 30: 00Z",
  "status": "draft",
  "budget_against": "Cost Center",
  "company": "Example Corp",
  "cost_center": "cost_center_example",
  "project": "project_example",
  "applicable_on_material_request": false,
  "action_if_annual_budget_exceeded_on_mr": "Stop",
  "action_if_accumulated_monthly_budget_exceeded_on_mr": "Warn",
  "applicable_on_purchase_order": false,
  "action_if_annual_budget_exceeded_on_po": "Stop",
  "action_if_accumulated_monthly_budget_exceeded_on_po": "Warn",
  "applicable_on_booking_actual_expenses": false,
  "action_if_annual_budget_exceeded": "Stop",
  "action_if_accumulated_monthly_budget_exceeded": "Warn",
  "applicable_on_cumulative_expense": false,
  "action_if_annual_exceeded_on_cumulative_expense": "action_if_annual_exceeded_on_cumulative_expense_example",
  "action_if_accumulated_monthly_exceeded_on_cumulative_expense": "action_if_accumulated_monthly_exceeded_on_cumulative_expense_example",
  "account": "account_example",
  "budget_amount": 0,
  "revision_of": "revision_of_example",
  "distribute_equally": true,
  "from_fiscal_year": "from_fiscal_year_example",
  "to_fiscal_year": "to_fiscal_year_example",
  "budget_start_date": "2024-01-15",
  "budget_end_date": "2024-01-15",
  "distribution_frequency": "Monthly",
  "budget_distribution_total": 0
}
DELETE /api/accounts/budget/{id}

Delete a budget

Permanently deletes a budget. This cannot be undone.

Path parameters

id string required

The identifier of the budget to delete.

Returns

Returns a confirmation that the budget has been deleted.

DELETE /api/accounts/budget/{id}
curl https://api.overplane.dev/api/accounts/budget/budget_abc123 \
  -H "Authorization: Bearer sk_test_..." \
  -X DELETE
Response
{
  "id": "budget_abc123",
  "deleted": true
}
POST /api/accounts/budget/{id}/submit

Submit a budget

Submits a draft budget, transitioning its status from draft to submitted.

Path parameters

id string required

The identifier of the budget to act on.

Returns

Returns the budget object with updated status.

POST /api/accounts/budget/{id}/submit
curl https://api.overplane.dev/api/accounts/budget/budget_abc123/submit \
  -H "Authorization: Bearer sk_test_..." \
  -X POST
Response
{
  "id": "budget_abc123",
  "created_at": "2024-01-15T09: 30: 00Z",
  "updated_at": "2024-01-15T09: 30: 00Z",
  "status": "draft",
  "budget_against": "Cost Center",
  "company": "Example Corp",
  "cost_center": "cost_center_example",
  "project": "project_example",
  "applicable_on_material_request": false,
  "action_if_annual_budget_exceeded_on_mr": "Stop",
  "action_if_accumulated_monthly_budget_exceeded_on_mr": "Warn",
  "applicable_on_purchase_order": false,
  "action_if_annual_budget_exceeded_on_po": "Stop",
  "action_if_accumulated_monthly_budget_exceeded_on_po": "Warn",
  "applicable_on_booking_actual_expenses": false,
  "action_if_annual_budget_exceeded": "Stop",
  "action_if_accumulated_monthly_budget_exceeded": "Warn",
  "applicable_on_cumulative_expense": false,
  "action_if_annual_exceeded_on_cumulative_expense": "action_if_annual_exceeded_on_cumulative_expense_example",
  "action_if_accumulated_monthly_exceeded_on_cumulative_expense": "action_if_accumulated_monthly_exceeded_on_cumulative_expense_example",
  "account": "account_example",
  "budget_amount": 0,
  "revision_of": "revision_of_example",
  "distribute_equally": true,
  "from_fiscal_year": "from_fiscal_year_example",
  "to_fiscal_year": "to_fiscal_year_example",
  "budget_start_date": "2024-01-15",
  "budget_end_date": "2024-01-15",
  "distribution_frequency": "Monthly",
  "budget_distribution_total": 0
}
POST /api/accounts/budget/{id}/cancel

Cancel a budget

Cancels a submitted budget, transitioning its status to cancelled.

Path parameters

id string required

The identifier of the budget to act on.

Returns

Returns the budget object with updated status.

POST /api/accounts/budget/{id}/cancel
curl https://api.overplane.dev/api/accounts/budget/budget_abc123/cancel \
  -H "Authorization: Bearer sk_test_..." \
  -X POST
Response
{
  "id": "budget_abc123",
  "created_at": "2024-01-15T09: 30: 00Z",
  "updated_at": "2024-01-15T09: 30: 00Z",
  "status": "draft",
  "budget_against": "Cost Center",
  "company": "Example Corp",
  "cost_center": "cost_center_example",
  "project": "project_example",
  "applicable_on_material_request": false,
  "action_if_annual_budget_exceeded_on_mr": "Stop",
  "action_if_accumulated_monthly_budget_exceeded_on_mr": "Warn",
  "applicable_on_purchase_order": false,
  "action_if_annual_budget_exceeded_on_po": "Stop",
  "action_if_accumulated_monthly_budget_exceeded_on_po": "Warn",
  "applicable_on_booking_actual_expenses": false,
  "action_if_annual_budget_exceeded": "Stop",
  "action_if_accumulated_monthly_budget_exceeded": "Warn",
  "applicable_on_cumulative_expense": false,
  "action_if_annual_exceeded_on_cumulative_expense": "action_if_annual_exceeded_on_cumulative_expense_example",
  "action_if_accumulated_monthly_exceeded_on_cumulative_expense": "action_if_accumulated_monthly_exceeded_on_cumulative_expense_example",
  "account": "account_example",
  "budget_amount": 0,
  "revision_of": "revision_of_example",
  "distribute_equally": true,
  "from_fiscal_year": "from_fiscal_year_example",
  "to_fiscal_year": "to_fiscal_year_example",
  "budget_start_date": "2024-01-15",
  "budget_end_date": "2024-01-15",
  "distribution_frequency": "Monthly",
  "budget_distribution_total": 0
}

Line items

Child objects that belong to this budget. These are accessed via the parent's ID.

Budget Distribution

Attributes

idx integer
budget_id string required
start_date string
end_date string
amount number
percent number

Endpoints

GET /api/accounts/budget-distribution?parent_id={id}
POST /api/accounts/budget-distribution
PATCH /api/accounts/budget-distribution/{id}
DELETE /api/accounts/budget-distribution/{id}
POST /api/accounts/budget-distribution/reorder
Budget Distribution object
{
  "id": "budget-distribution_abc123",
  "idx": 1,
  "budget_id": "budget_id_example",
  "start_date": "2024-01-15",
  "end_date": "2024-01-15",
  "amount": 0,
  "percent": 0
}